## pyopencl 2011.1.2+git20110716

=== pyopencl/compyte/ndarray/Makefile ===
all: pygpu_ndarray.so

PYTHON_VERSION=2.5
NPY_INCLUDE=-I/opt/lisa/byhost/lib/python${PYTHON_VERSION}/site-packages/numpy/core/include
THEANO_CUDA_INCLUDE=-I/u/bastienf/repos/theano/sandbox/cuda
CUDA_INCLUDE=-I/opt/lisa/os/cuda/include
PYTHON_INCLUDE=-I/home/nouiz/local_python${PYTHON_VERSION}.1/include/python${PYTHON_VERSION}
#PYTHON_INCLUDE=-I/usr/include/python${PYTHON_VERSION}
#BINDIR=--compiler-bindir /home/nouiz/.theano.nvcc-bindir

pygpu_language_cuda.o: pygpu_language_cuda.cu pygpu_language.h
	nvcc -c -g -m64 -Xcompiler -fPIC,-m64 -Xlinker -rpath,/opt/lisa/os/cuda/lib -Xlinker -rpath,/opt/lisa/os/cuda/lib64 ${PYTHON_INCLUDE} ${CUDA_INCLUDE} ${NPY_INCLUDE} ${BINDIR} -I/usr/include/python${PYTHON_VERSION} -o $@ $<

pygpu_ndarray.so: pygpu_ndarray.cu pygpu_ndarray.cuh pygpu_language_cuda.o
	nvcc -shared -g -m64 -Xcompiler -fPIC,-m64 -Xlinker -rpath,/opt/lisa/os/cuda/lib -Xlinker -rpath,/opt/lisa/os/cuda/lib64 ${PYTHON_INCLUDE} ${CUDA_INCLUDE} ${NPY_INCLUDE} ${BINDIR} -I/usr/include/python${PYTHON_VERSION} -o $@ $< pygpu_language_cuda.o -L/opt/lisa/os/cuda/lib -L/opt/lisa/os/cuda/lib64 -L/usr/lib64 -lpython${PYTHON_VERSION} -lcublas -lcudart

clean:
	rm -f pygpu_ndarray.so core.* *.o *~

## pyopencl 0.92~beta+git20100709

=== debian/changelog ===
pyopencl (0.92~beta+git20100709-1ubuntu1) maverick; urgency=low

  * Package taken from Debian (LP: #607407)
  * debian/control: Changed dependencies to fit Ubuntu NVIDIA packages
  * debian/rules: added --cl-inc-dir to point to the correct headers

 -- Tomasz Rybak <bogomips@post.pl>  Sat, 24 Jul 2010 20:43:30 +0200

pyopencl (0.92~beta+git20100709-1) unstable; urgency=low

  * Initial release
  * Replaced usage of setuptools with python-setuptools from Debian
  * Deleted jquery.js and replace it with link to script from libjs-jquery

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 31 May 2010 19:29:00 +0200

=== debian/control ===
Source: pyopencl
Section: contrib/python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tomasz Rybak <bogomips@post.pl>
Build-Depends: debhelper (>= 7.0.50~),
 python-support,
 python-all-dev,
 python-setuptools,
 nvidia-current-dev,
 libboost-python-dev,
 mesa-common-dev,
 python-numpy,
 python-matplotlib,
 python-sphinx,
 python-pytools (>= 7)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://mathema.tician.de/software/pyopencl
Vcs-Git: http://git.tiker.net/trees/pyopencl.git
Vcs-Browser: http://git.tiker.net/?p=pyopencl.git;a=summary

Package: python-pyopencl
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 nvidia-current,
 python-numpy,
 python-matplotlib,
 python-pytools (>= 7),
 libjs-jquery
Recommends: nvidia-opencl-icd,
 python-opengl
Suggests: python-imaging-tk
XB-Python-Version: ${python:Versions}
Description: module to access OpenCL parallel computation API
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE_NAME=python-pyopencl
PYVERS=$(shell pyversions -vr debian/control)

%:
	dh $@

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py \
		--cl-enable-gl --cl-inc-dir=/usr/include/nvidia-current

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	PYTHONPATH=../build/lib.$(DEB_BUILD_ARCH_OS)-$(DEB_BUILD_GNU_CPU)-$(firstword $(PYVERS))/ $(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)

override_dh_compress:
	dh_compress -a -X.py -X.txt -X.js

override_dh_installdocs:
	dh_installdocs
	rm debian/$(PACKAGE_NAME)/usr/share/doc/$(PACKAGE_NAME)/html/_static/jquery.js


MODULE_NAME=pyopencl
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=6fee76173b147a6c84364f8248649d52a9d6557f
GIT_URL=http://git.tiker.net/trees/pyopencl.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore
	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pyopencl 0.92

=== debian/changelog ===
pyopencl (0.92-1ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining change:
    - debian/control: Changed dependencies to fit Ubuntu NVIDIA packages
  * Dropped change (superceeded in debian):
    - debian/rules: added --cl-inc-dir to point to the correct headers

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 Nov 2010 19:34:12 +0530

pyopencl (0.92-1) unstable; urgency=high

  * New upstream release
  * Fixed Vcs-* URLs in debian/control; now they point to Alioth
    instead of upstream git repository (Closes: #599875)
  * Fixed Maintainer field in debian/copyright (Closes: #599873)
  * Added missing licence for pyopencl/clrandom.py file (Closes: #599874)
  * Fixed FTBFS on i386 (Closes: #599782)
  * Forced build scripts not to use boost libraries that might be included
    in the source
  * Removed messages about missing Boost libraries; they are superfluous
    as package is using Debian ones
  * Update Standards-Version to 3.9.1; no changes necessary.
  * Changed dependencies:
    * Added alternative dependency to help with post-Squeeze changes
      in NVIDIA driver packages
    * Added alternative build-dependency on nvidia-libopencl1
      and opencl-headers instead of nvidia-libopencl1-dev
      which will be removed from NVIDIA driver packages after Squeeze

 -- Tomasz Rybak <bogomips@post.pl>  Fri, 05 Nov 2010 14:52:35 +0100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
  python-matplotlib,
  python-sphinx,
  python-pytools (>= 7)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
 Homepage: http://mathema.tician.de/software/pyopencl
-Vcs-Git: http://git.tiker.net/trees/pyopencl.git
-Vcs-Browser: http://git.tiker.net/?p=pyopencl.git;a=summary
+Vcs-Git: git://git.debian.org/git/collab-maint/python-pyopencl.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyopencl.git
 
 Package: python-pyopencl
 Architecture: amd64 i386

## pyopencl 0.92.dfsg

=== debian/changelog ===
pyopencl (0.92.dfsg-1) oldstable; urgency=low

  * Remove non-free file from examples (#722014, #723793).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 04 Oct 2013 17:54:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: pyopencl
 Section: contrib/python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <bogomips@post.pl>
+Maintainer: Tomasz Rybak <bogomips@post.pl>
 Build-Depends: debhelper (>= 7.0.50~),
  python-support,
  python-all-dev,
  python-setuptools,
- nvidia-current-dev,
+ nvidia-libopencl1-dev | opencl-headers | libopencl1-dev | nvidia-current-dev,
+ nvidia-libopencl1,
  libboost-python-dev,
  mesa-common-dev,
  python-numpy,
@@ -23,7 +23,9 @@
 Package: python-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- nvidia-current,
+ libnvidia-compiler1 | libnvidia-compiler,
+ nvidia-libopencl1,
+ nvidia-opencl-common,
  python-numpy,
  python-matplotlib,
  python-pytools (>= 7),

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=python_distutils
-	PYTHONPATH=../build/lib.$(DEB_BUILD_ARCH_OS)-$(DEB_BUILD_GNU_CPU)-$(firstword $(PYVERS))/ $(MAKE) -C doc html
+	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYVERS)))/ $(MAKE) -C doc html
 
 override_dh_auto_install:
 	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)
@@ -28,14 +28,15 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=6fee76173b147a6c84364f8248649d52a9d6557f
+GIT_REVISION=dcd70ebc88337cc6474452b83ac02d4ae0c411a9
 GIT_URL=http://git.tiker.net/trees/pyopencl.git 
 
 get-orig-source:
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
 	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git checkout $(GIT_REVISION)
-	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore
+	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
+	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/matrix-multiply.py
 	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pyopencl/pyopencl-(.+)\.tar\.gz

## pyopencl 2011.1.2+git20110716

=== debian/changelog ===
pyopencl (2011.1.2+git20110716-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.2; no changes necessary.
  * Switch to debhelper compat level 8; no changes necessary.
  * Add option in debian/source/ to unapply patches after build.
  * Change debian/rules to use dh_python2 which is recommended in Wheezy
  * Add override python-py of pytest package
  * Disable compressing Sphinx-generated files (Closes: #608778)
  * Change dependencies to OpenCL virtual packages to allow other OpenCL
    providers. #629702 is not yet closed because of lack of change in build
    dependencies.

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 18 Jul 2011 13:32:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: contrib/python
 Priority: optional
 Maintainer: Tomasz Rybak <bogomips@post.pl>
-Build-Depends: debhelper (>= 7.0.50~),
- python-support,
+Build-Depends: debhelper (>= 8),
  python-all-dev,
+ python3-all-dev,
  python-setuptools,
- nvidia-libopencl1-dev | opencl-headers | libopencl1-dev | nvidia-current-dev,
- nvidia-libopencl1,
+ python3-setuptools,
+ opencl-headers,
+ nvidia-opencl-dev,
  libboost-python-dev,
  mesa-common-dev,
  python-numpy,
  python-matplotlib,
  python-sphinx,
- python-pytools (>= 7)
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+ python-pytools (>= 2011.3)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
+X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pyopencl
 Vcs-Git: git://git.debian.org/git/collab-maint/python-pyopencl.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyopencl.git
@@ -23,15 +25,14 @@
 Package: python-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- libnvidia-compiler1 | libnvidia-compiler,
- nvidia-libopencl1,
- nvidia-opencl-common,
+ opencl-icd,
  python-numpy,
  python-matplotlib,
- python-pytools (>= 7),
+ python-pytools (>= 2011.3),
  libjs-jquery
 Recommends: nvidia-opencl-icd,
- python-opengl
+ python-opengl,
+ python-mako
 Suggests: python-imaging-tk
 XB-Python-Version: ${python:Versions}
 Description: module to access OpenCL parallel computation API

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 PYVERS=$(shell pyversions -vr debian/control)
 
 %:
-	dh $@
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py \
@@ -18,7 +18,7 @@
 	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)
 
 override_dh_compress:
-	dh_compress -a -X.py -X.txt -X.js
+	dh_compress -a -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
 
 override_dh_installdocs:
 	dh_installdocs
@@ -28,15 +28,15 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=dcd70ebc88337cc6474452b83ac02d4ae0c411a9
+GIT_REVISION=97e796cc648e7f6d75a57a0da13fa3b38963aa2e
+GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git 
 
 get-orig-source:
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
 	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
-	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git checkout $(GIT_REVISION)
+	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
-	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/matrix-multiply.py
 	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pyopencl 2011.2

=== debian/changelog ===
pyopencl (2011.2-1) unstable; urgency=low

  * New upstream release.
  * Change dependencies and build-dependencies to allow installation
    with non-NVIDIA (particularly AMD) OpenCL provider (Closes: #628702)
  * Remove unnecessary ./configure option pointing to include directory;
    OpenCL header files are now in /usr/include
  * Split into python-pyopencl and python-pyopencl-doc packages.
  * Use dh_sphinxdoc to properly manage documentation.
  * Add doc-base support
  * Fix copyright for files in compyte/*
  * Remove pytest override as package uses only py.test

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 28 Nov 2011 13:39:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Tomasz Rybak <bogomips@post.pl>
 Build-Depends: debhelper (>= 8),
  python-all-dev,
- python3-all-dev,
  python-setuptools,
- python3-setuptools,
  opencl-headers,
- nvidia-opencl-dev,
+ opencl-icd,
+ amd-libopencl1 | libopencl1,
  libboost-python-dev,
  mesa-common-dev,
  python-numpy,
  python-matplotlib,
- python-sphinx,
- python-pytools (>= 2011.3)
+ python-sphinx (>= 1.0.7+dfsg),
+ python-pytools (>= 2011.5)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
@@ -28,13 +27,12 @@
  opencl-icd,
  python-numpy,
  python-matplotlib,
- python-pytools (>= 2011.3),
- libjs-jquery
-Recommends: nvidia-opencl-icd,
+ python-pytools (>= 2011.5)
+Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
-Suggests: python-imaging-tk
-XB-Python-Version: ${python:Versions}
+Suggests: python-imaging-tk,
+ python-py
 Description: module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -52,3 +50,29 @@
     above are virtually free.
   * Helpful, complete documentation and a wiki.
   * Liberal licensing (MIT).
+
+Package: python-pyopencl-doc
+Section: contrib/doc
+Architecture: all
+Depends: ${sphinxdoc:Depends},
+ ${misc:Depends}
+Recommends: python-pyopencl
+Description: module to access OpenCL parallel computation API (documentation)
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains HTML documentation and example scripts.

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE_NAME=python-pyopencl
PYVERS=$(shell pyversions -vr debian/control)

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py --cl-enable-gl

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYVERS)))/ $(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

MODULE_NAME=pyopencl
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=f5545eff1ec2210c0df310e85143b38f875871ce
GIT_SUBMODULES=pyopencl/compyte
GIT_URL=http://git.tiker.net/trees/pyopencl.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/doc/source/.gitignore
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pyopencl 2012.1

=== debian/changelog ===
pyopencl (2012.1-1ubuntu4) raring; urgency=low

  * Installing fglrx breaks 3D acceleration on sandy-bridge (my work
    machine). Therefore I am dropping "fglrx | nvidia-current" from
    Depends fields.  If you have opencl capable hardware and properly
    setup, then you can enjoy this package.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 08 Nov 2012 23:34:28 +0000

pyopencl (2012.1-1ubuntu3) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:15:21 +0000

pyopencl (2012.1-1ubuntu2) raring; urgency=low

  * Remove depends on opencl-icd, keep/add suggests
    "fglrx | nvidia-current" to make the python modules
    installable.
  * Rebuild against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 01 Nov 2012 00:30:55 +0100

pyopencl (2012.1-1ubuntu1) quantal; urgency=low

  * Skip sphinx documentation in binary-arch build. Fixes FTBFS.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 02 Jul 2012 12:17:59 +0100

pyopencl (2012.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on free ocl-icd-libopencl1 instead of non-free libraries.
  * Add NEWS entry describing OpenCL library dependencies.
  * Change my email.
  * Move python-pyopengl from Recommends to Suggests because package
    can be used for computations without any graphical environment.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 21 Jun 2012 21:18:03 +0200

pyopencl (2011.2+git20120517-1) unstable; urgency=low

  * New upstream release.
  * Call dh_numpy3 in debian/rules for NumPy ABI and ABI dependencies
    in Python3 module.
  * Fix copyright for files in src/cl/*
  * Update debian/compat to 9, update dependencies.
  * Add Replaces: python-pyopencl to python-pyopencl-headers to avoid problem
    with updating, and ensure that python-pyopencl and python3-pyopencl
    always use correct version of python-pyopencl-headers. (Closes: #674000)
  * Add NEWS entry describing OpenCL library dependencies. (Closes: #673992)

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 29 May 2012 19:52:40 +0200

pyopencl (2011.2+git20120508-1) unstable; urgency=low

  * New upstream release.
  * Add Python 3 package, create separate python-pyopencl-headers package.
  * Update Standards-Version to 3.9.3.
  * Update debian/copyright to official 1.0 format.
  * Call dh_numpy in debian/rules for NumPy ABI and ABI dependencies.

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 08 May 2012 23:04:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,73 @@
 Source: pyopencl
 Section: contrib/python
 Priority: optional
-Maintainer: Tomasz Rybak <bogomips@post.pl>
-Build-Depends: debhelper (>= 8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Build-Depends: debhelper (>= 9),
  python-all-dev,
+ python3-all-dev,
  python-setuptools,
+ python3-setuptools,
  opencl-headers,
- opencl-icd,
- amd-libopencl1 | libopencl1,
+ ocl-icd-libopencl1 | libopencl1,
  libboost-python-dev,
  mesa-common-dev,
- python-numpy,
- python-matplotlib,
+ python-numpy (>= 1:1.4.1-4~),
+ python3-numpy,
  python-sphinx (>= 1.0.7+dfsg),
- python-pytools (>= 2011.5)
-Standards-Version: 3.9.2
+ python3-sphinx (>= 1.0.7+dfsg),
+ python-pytools (>= 2011.5),
+ python3-pytools
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pyopencl
 Vcs-Git: git://git.debian.org/git/collab-maint/python-pyopencl.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyopencl.git
 
+Package: python-pyopencl-headers
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: python-pyopencl-doc,
+ python-pyopencl,
+ python3-pyopencl
+Replaces: python-pyopencl (<< 2011.2+git20120508-1)
+Breaks: python-pyopencl (<< ${source:Version}),
+ python3-pyopencl (<< ${source:Version})
+Description: headers for Python module to access OpenCL parallel computation API
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains header files used by PyOpenCL modules.
+
 Package: python-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- opencl-icd,
+ ocl-icd-libopencl1 | libopencl1,
  python-numpy,
- python-matplotlib,
- python-pytools (>= 2011.5)
+ python-pytools (>= 2011.5),
+ python-pyopencl-headers (= ${source:Version})
 Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
 Suggests: python-imaging-tk,
- python-py
-Description: module to access OpenCL parallel computation API
+ python-pytest,
+ python-matplotlib
+Description: Python module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
   * Object cleanup tied to lifetime of objects. This idiom, often called
@@ -51,12 +85,46 @@
   * Helpful, complete documentation and a wiki.
   * Liberal licensing (MIT).
 
+Package: python3-pyopencl
+Architecture: amd64 i386
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ ocl-icd-libopencl1 | libopencl1,
+ python3-numpy,
+ python3-pytools (>= 2011.5),
+ python-pyopencl-headers (= ${source:Version})
+Recommends: python-pyopencl-doc,
+ python3-mako
+Suggests: python3-imaging-tk,
+ python3-opengl,
+ python3-pytest,
+ python3-matplotlib
+Description: Python 3 module to access OpenCL parallel computation API
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains Python 3 modules.
+
 Package: python-pyopencl-doc
 Section: contrib/doc
 Architecture: all
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
-Recommends: python-pyopencl
+Recommends: python-pyopencl,
+ python3-pyopencl
 Description: module to access OpenCL parallel computation API (documentation)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,38 @@
 #! /usr/bin/make -f
 
-PACKAGE_NAME=python-pyopencl
-PYVERS=$(shell pyversions -vr debian/control)
+PACKAGE_DIR=$(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pyopencl
+INSTALL_DIR=$(CURDIR)/debian/tmp/
+PYTHON2=$(shell pyversions -vr)
+PYTHON3=$(shell py3versions -vr)
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,python3,sphinxdoc
 
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py --cl-enable-gl
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=python_distutils
-	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYVERS)))/ $(MAKE) -C doc html
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python setup.py build ; \
+	done
+	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html
 
 override_dh_auto_install:
-	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)
+	set -e; \
+	for python in $(PYTHON2); do \
+		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	dh_numpy
+	dh_numpy3
+
+# No docs in the binary-arch packages
+override_dh_sphinxdoc-arch:
 
 override_dh_compress:
 	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
@@ -22,7 +40,7 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=f5545eff1ec2210c0df310e85143b38f875871ce
+GIT_REVISION=v2012.1
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git

## pyopencl 2012.1.dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python `which sphinx-build`
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

constants:
	python make_constants.py > source/constants.inc

clean:
	-rm -rf build/*

html: constants
	mkdir -p build/html build/doctrees source/.static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle: constants
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp: constants
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex: constants
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes: constants
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck: constants
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

=== debian/changelog ===
pyopencl (2012.1.dfsg-1) stable; urgency=low

  * Remove non-free file from examples (#722014) and now-unnecessary
    entry from debian/copyright (Closes: #723587).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 24 Sep 2013 18:58:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyopencl
 Section: contrib/python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  python-all-dev,
  python3-all-dev,
@@ -27,7 +26,8 @@
 
 Package: python-pyopencl-headers
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+ opencl-icd
 Recommends: python-pyopencl-doc,
  python-pyopencl,
  python3-pyopencl
@@ -58,6 +58,7 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  ocl-icd-libopencl1 | libopencl1,
+ opencl-icd,
  python-numpy,
  python-pytools (>= 2011.5),
  python-pyopencl-headers (= ${source:Version})
@@ -89,6 +90,7 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
+ opencl-icd,
  python3-numpy,
  python3-pytools (>= 2011.5),
  python-pyopencl-headers (= ${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,6 @@
 	dh_numpy
 	dh_numpy3
 
-# No docs in the binary-arch packages
-override_dh_sphinxdoc-arch:
-
 override_dh_compress:
 	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
 
@@ -51,6 +48,7 @@
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/doc/source/.gitignore
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
+	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/matrix-multiply.py
 	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pyopencl 2013.1~git20130613

=== debian/changelog ===
pyopencl (2013.1~git20130613-1) unstable; urgency=low

  * New upstream release.
  * Add *-dbg packages.
  * Remove *-headers package; upstream now ships headers in python directory.
  * Upstream switched to setuptools, update patches to deal with it.
  * Do not call dh_sphinxdoc for architecture dependent builds, build
    documentation in separate step in debian/rules (Closes: #711926)
  * Add README.source describing get-orig-source in debian/rules.
  * Disable package optimisation option as it might clash with hardening
    compile options.
  * Include tests (all files in test/) in documentation package.
  * Fix VCS-* fields to contain canonical URIs.
  * Update Standards-Version to 3.9.4; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Mon, 17 Jun 2013 22:30:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  python-all-dev,
+ python-all-dbg,
  python3-all-dev,
+ python3-all-dbg,
  python-setuptools,
  python3-setuptools,
  opencl-headers,
@@ -17,42 +19,12 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Homepage: http://mathema.tician.de/software/pyopencl
-Vcs-Git: git://git.debian.org/git/collab-maint/python-pyopencl.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pyopencl.git
-
-Package: python-pyopencl-headers
-Architecture: all
-Depends: ${misc:Depends},
- opencl-icd
-Recommends: python-pyopencl-doc,
- python-pyopencl,
- python3-pyopencl
-Replaces: python-pyopencl (<< 2011.2+git20120508-1)
-Breaks: python-pyopencl (<< ${source:Version}),
- python3-pyopencl (<< ${source:Version})
-Description: headers for Python module to access OpenCL parallel computation API
- PyOpenCL lets you access the OpenCL parallel computation API from
- Python. Here's what sets PyOpenCL apart:
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and
-    crash-free code.
-  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
-    disposal, if you wish.
-  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
-    accessible, it tries hard to make your life less complicated as it
-    does so--without taking any shortcuts.
-  * Automatic Error Checking. All OpenCL errors are automatically
-    translated into Python exceptions.
-  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful, complete documentation and a wiki.
-  * Liberal licensing (MIT).
- .
- This package contains header files used by PyOpenCL modules.
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyopencl.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pyopencl.git
 
 Package: python-pyopencl
 Architecture: amd64 i386
@@ -60,14 +32,15 @@
  ocl-icd-libopencl1 | libopencl1,
  opencl-icd,
  python-numpy,
- python-pytools (>= 2011.5),
- python-pyopencl-headers (= ${source:Version})
+ python-pytools (>= 2011.5)
 Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
 Suggests: python-imaging-tk,
  python-pytest,
- python-matplotlib
+ python-matplotlib,
+ python-pyopencl-dbg
+Replaces: python-pyopencl-headers
 Description: Python module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -86,20 +59,47 @@
   * Helpful, complete documentation and a wiki.
   * Liberal licensing (MIT).
 
+Package: python-pyopencl-dbg
+Section: contrib/debug
+Priority: extra
+Architecture: amd64 i386
+Depends: python-pyopencl (= ${binary:Version}), python-dbg,
+ ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Description: Python module to access OpenCL API (debug extensions)
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains debug extensions build for the Python debug interpreter.
+
 Package: python3-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
  opencl-icd,
  python3-numpy,
- python3-pytools (>= 2011.5),
- python-pyopencl-headers (= ${source:Version})
+ python3-pytools (>= 2011.5)
 Recommends: python-pyopencl-doc,
  python3-mako
 Suggests: python3-imaging-tk,
  python3-opengl,
  python3-pytest,
- python3-matplotlib
+ python3-matplotlib,
+ python3-pyopencl-dbg
+Replaces: python-pyopencl-headers
 Description: Python 3 module to access OpenCL parallel computation API
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -119,6 +119,32 @@
   * Liberal licensing (MIT).
  .
  This package contains Python 3 modules.
+
+Package: python3-pyopencl-dbg
+Section: contrib/debug
+Priority: extra
+Architecture: amd64 i386
+Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
+ ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+Description: Python 3 module to access OpenCL API (debug extensions)
+ PyOpenCL lets you access the OpenCL parallel computation API from
+ Python. Here's what sets PyOpenCL apart:
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and
+    crash-free code.
+  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
+    disposal, if you wish.
+  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
+    accessible, it tries hard to make your life less complicated as it
+    does so--without taking any shortcuts.
+  * Automatic Error Checking. All OpenCL errors are automatically
+    translated into Python exceptions.
+  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful, complete documentation and a wiki.
+  * Liberal licensing (MIT).
+ .
+ This package contains debug extensions for the Python 3 debug interpreter.
 
 Package: python-pyopencl-doc
 Section: contrib/doc

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE_DIR=$(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pyopencl
INSTALL_DIR=$(CURDIR)/debian/tmp/
PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py --cl-enable-gl

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	set -e; \
	for python in $(PYTHON3); do \
		python$$python setup.py build ; \
		python$$python-dbg setup.py build ; \
	done

override_dh_auto_install:
	set -e; \
	for python in $(PYTHON2); do \
		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON2); do \
		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON3); do \
		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON3); do \
		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	dh_numpy
	dh_numpy3

override_dh_installdocs:
	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html
	dh_installdocs

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pyopencl --dbg-package=python-pyopencl-dbg
	dh_strip -ppython3-pyopencl --dbg-package=python3-pyopencl-dbg
endif


MODULE_NAME=pyopencl
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=ec400dce854ee6753cca088cbccdb077eed7a0dc
GIT_SUBMODULES=pyopencl/compyte
GIT_URL=http://git.tiker.net/trees/pyopencl.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone --depth 0 $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/doc/source/.gitignore
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pyopencl 2013.2

=== debian/changelog ===
pyopencl (2013.2-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:31:34 +0000

pyopencl (2013.2-1) unstable; urgency=low

  * New upstream release.
  * Remove unnecessary entry from debian/copyright.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 28 Nov 2013 19:38:21 +0100

pyopencl (2013.1+git20130916-1) unstable; urgency=low

  * New upstream release, removing non-free file from examples (#722014)
  * Update changed Sphinx doc build directory.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 17 Sep 2013 18:03:59 +0200

pyopencl (2013.1-1) unstable; urgency=low

  * New upstream release.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 17 Jul 2013 20:09:12 +0200

pyopencl (2013.1~git20130628-1) unstable; urgency=low

  * New upstream release.
  * Bump pytools dependency to 2013.5.2.
  * Update patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 30 Jun 2013 18:21:30 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-numpy,
  python-sphinx (>= 1.0.7+dfsg),
  python3-sphinx (>= 1.0.7+dfsg),
- python-pytools (>= 2011.5),
+ python-pytools (>= 2013.5.2),
  python3-pytools
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
@@ -32,7 +32,7 @@
  ocl-icd-libopencl1 | libopencl1,
  opencl-icd,
  python-numpy,
- python-pytools (>= 2011.5)
+ python-pytools (>= 2013.5.2)
 Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
@@ -91,7 +91,7 @@
  ocl-icd-libopencl1 | libopencl1,
  opencl-icd,
  python3-numpy,
- python3-pytools (>= 2011.5)
+ python3-pytools (>= 2013.5.2)
 Recommends: python-pyopencl-doc,
  python3-mako
 Suggests: python3-imaging-tk,
@@ -144,7 +144,7 @@
   * Helpful, complete documentation and a wiki.
   * Liberal licensing (MIT).
  .
- This package contains debug extensions for the Python 3 debug interpreter.
+ This package contains extensions build for the Python 3 debug interpreter.
 
 Package: python-pyopencl-doc
 Section: contrib/doc

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,7 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=ec400dce854ee6753cca088cbccdb077eed7a0dc
+GIT_REVISION=v2013.2
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git
